# usage: python temporary_security_credentials.py

# compatible with python>=2.7 and python>=3.5
# requires requests>=2.18, see http://docs.python-requests.org/en/master/user/install/
# assumes earthdata credentials are in your .netrc file, see step #2 at https://wiki.earthdata.nasa.gov/display/EL/How+To+Access+Data+With+cURL+And+Wget

from json import loads
from requests import get

credential_url = 'https://grfn.asf.alaska.edu/door/credentials'
response = get(credential_url)
response.raise_for_status()

credentials = loads(response.text)['Credentials']
print('export AWS_ACCESS_KEY_ID={0}'.format(credentials['AccessKeyId']))
print('export AWS_SECRET_ACCESS_KEY={0}'.format(credentials['SecretAccessKey']))
print('export AWS_SESSION_TOKEN={0}'.format(credentials['SessionToken']))
